Bug 902911 - Random black charactes in mc if running under screen.
Random black charactes in mc if running under screen.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: screen (Show other bugs)
20
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Hracek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-22 12:35 EST by Jan ONDREJ
Modified: 2015-06-29 07:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 07:44:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mc (85.72 KB, image/png)
2013-01-22 12:35 EST, Jan ONDREJ
no flags Details

  None (edit)
Description Jan ONDREJ 2013-01-22 12:35:33 EST
Created attachment 685348 [details]
mc

Description of problem:
Running mc under screen and moving cursor will show some characters as black. This is very random, unable to tell exactly when happens.

Version-Release number of selected component (if applicable):
initscripts-9.42.1-1.fc18.x86_64
ncurses-5.9-7.20121017.fc18.x86_64
mc-4.8.6-2.fc18.x86_64
roxterm-2.2.2-3.fc18.x86_64

How reproducible:
random

Steps to Reproduce:
1. screen
2. mc /lib /bin
3. move cursor down/up, scroll in large directory, move over screen
  
Actual results:
see screenshot

Additional info:
Looks like it has something with TERMCAP. Clearing TERMCAP will fix this bug.
I am not sure, which component is responsible for this.
Comment 1 Miroslav Lichvar 2013-01-22 12:50:27 EST
I think the problem will be in screen, mc or slang. ncurses shouldn't be involved here.

This is going to be hard to debug. I think it might help if you run both mc and screen in the script utility and tried to capture the output which triggers the problem. The typescripts could be used to narrow down the problem.

Reassigning to screen.
Comment 2 Jan ONDREJ 2013-01-26 04:39:05 EST
To reproduce this, you need an 256color capable terminal, for example xterm, roxterm or konsole. rxvt are not yet functional in Fedora 18.

Also disabling 256 colors in TERMCAP fixes my problems, so looks like this is an incompatibility of screen with 256 colors.
Comment 3 Fedora Admin XMLRPC Client 2013-02-05 07:31:15 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Andy Shevchenko 2013-06-12 14:22:19 EDT
(In reply to Jan ONDREJ from comment #2)
> To reproduce this, you need an 256color capable terminal, for example xterm,
> roxterm or konsole. rxvt are not yet functional in Fedora 18.
> 
> Also disabling 256 colors in TERMCAP fixes my problems, so looks like this
> is an incompatibility of screen with 256 colors.

In F16 it worked fine. Thus, seems as regression for me.
Comment 5 Fedora End Of Life 2013-12-21 05:42:16 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Jan ONDREJ 2013-12-21 13:33:29 EST
Looks like this is already fixed in Fedora 20. Don't know, when it was fixed.
Leaving open until automatic close.
Comment 7 Jan ONDREJ 2014-02-01 11:32:03 EST
(In reply to Jan ONDREJ from comment #6)
> Looks like this is already fixed in Fedora 20. Don't know, when it was fixed.
> Leaving open until automatic close.

My mistake. Still present in Fedora 20. As a workaround I use this in .bashrc:

# disable 256 color term
export TERMCAP=$(echo "$TERMCAP" | sed -e 's/Co#256/Co#8/g')
Comment 8 Fedora End Of Life 2015-05-29 04:52:03 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Jan ONDREJ 2015-05-29 04:56:31 EDT
Looks like this bug will never be fixed.

And workaround is to switch from screen to tmux, which has no similar problems and many advantages.

Tmux can be configured to emulate screen keyboard syntax.
Comment 10 Fedora End Of Life 2015-06-29 07:44:46 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.